/*
 * Header
 */

.animate
	.header__logo,
	.header__burger,
	.header__contact
		opacity: 0

	.header__logo
		transform: translate3d(-40px, -40px, 0)

	.header__burger
		transform: translate3d(0, -40px, 0)

	.header__contact
		transform: translate3d(40px, -40px, 0)

	.header
		&:before
			width: 0

.header
	position: fixed
	top: 0
	left: 0
	right: 0
	z-index: 10

	@media #{$mobile}
		&:before
			content: ""
			position: absolute
			width: calc(100% - 60px)
			height: 40px
			top: 10px
			left: 50px
			// right: 10px
			background: #fff
			border-top: 1px solid #cfcdc9
			border-bottom: 1px solid #cfcdc9
			transition: 1000ms 800ms cubic-bezier(.165,.84,.44,1)

		&.header--inner
			.logo__icon
				opacity: 0

.header__logo
	position: absolute
	left: 40px
	top: 40px
	transition: 1000ms 800ms cubic-bezier(.165,.84,.44,1)

	@media #{$mobile}
		top: 20px
		left: 25px

.logo
	display: inline-block
	position: relative
	padding-left: 50px

	@media (min-width: 768px)
		transition: 500ms ease

		&:hover
			opacity: 0.6

		&:active
			opacity: 0.3

	@media #{$mobile}
		padding-left: 35px

		&:before
			content: ""
			width: 40px
			height: 40px
			position: absolute
			top: -10px
			left: -15px
			background: #f0e9e3

	&__icon
		width: 35px
		height: 55px
		position: absolute
		left: 0
		top: 0
		opacity: 0
		background: url('../images/evrasia-logo.png') no-repeat
		background-size: 980px 55px !important

		@media (min-width: 768px)
			@media #{$retina}
				background: url('../images/evrasia-logo@2x.png') no-repeat

		@media #{$mobile}
			width: 27px
			height: 42px
			background: url('../images/evrasia-logo-m.png') no-repeat
			background-size: 756px 42px !important

			@media #{$retina}
				background: url('../images/evrasia-logo-m@2x.png') no-repeat

	&__title
		width: 104px
		height: 30px
		background: url('../images/evrasia.svg') no-repeat

		@media #{$mobile}
			width: 76px
			height: 22px
			background-size: 100%

	&__text
		width: 140px
		font-size: 13px
		line-height: 1
		color: #7a7671

		@media #{$mobile}
			width: 125px
			font-size: 11px
			display: inline-block
			margin-left: -4px
			background: #fff
			padding: 0 4px

.header__burger
	position: absolute
	top: 40px
	left: 340px
	z-index: 2
	transition: 1000ms 800ms cubic-bezier(.165,.84,.44,1) transform, 1000ms 800ms cubic-bezier(.165,.84,.44,1) opacity

	@media #{$mobile}
		left: auto
		top: 10px
		right: 88px

.burger
	width: 50px
	height: 50px
	cursor: pointer
	background: #e5dcd7
	position: relative

	@media (min-width: 768px)
		transition: 400ms ease

		&:hover
			background: #d9cac3

		&:active
			background: #d9cac3

			svg 
				fill: #aa9e98

	&.is-active
		.icon-menu
			opacity: 0
			transform: scale(0) rotate(90deg)

		.icon-close
			opacity: 1
			transform: scale(1)

	svg 
		+abscenter
		transition: .4s cubic-bezier(.165,.84,.44,1)

	.icon-menu
		fill: #3c3735

	.icon-close
		stroke: transparent
		fill: #3c3735
		opacity: 0
		transform: scale(0.8) rotate(-135deg)

	@media #{$mobile}
		width: 50px
		height: 40px
		background: transparent

		.icon-close
			width: 15px
			height: 15px


.header__contact
	position: absolute
	right: 40px
	top: 40px
	display: flex
	z-index: 2
	transition: 1000ms 800ms cubic-bezier(.165,.84,.44,1)

	@media #{$mobile}
		top: 10px
		right: 10px

.contact-control
	width: 55px
	height: 55px
	display: block
	overflow: hidden
	position: relative
	border: 1px solid #cfcdc9
	transition: 200ms ease-out
	margin-left: -1px

	@media (min-width: 768px)
		background: #fff
	
	@media (min-width: 1201px)
		&:hover
			border-color: #3c3735
			z-index: 2

			.contact-control__label
				opacity: 1

			.contact-control__icon
				svg 
					fill: #3c3735

		&:active
			opacity: 0.3

	@media #{$mobile}
		width: 40px !important
		height: 40px

.contact-control__icon
	width: 55px
	height: 54px
	position: absolute
	top: 0
	left: 0

	@media #{$mobile}
		width: 40px
		height: 39px

		.icon-location
			width: 10px
			height: 16px

		.icon-phone
			width: 8px
			height: 16px

	svg 
		fill: #bab5b2
		+abscenter
		transition: 200ms ease-out

.contact-control__label
	font-size: 17px
	line-height: normal
	text-transform: uppercase
	color: #3c3735
	opacity: 0
	white-space: nowrap
	position: absolute
	right: 0
	top: 0
	bottom: 0
	display: flex
	align-items: center
	padding: 0 20px 0 50px
	transition: 200ms

	@media #{$mobile}
		display: none 